# geda-symbols.spec

Name: 		geda-symbols
Version: 	20060123
Release: 	1
Summary: 	Electronic symbols for gEDA
Group: 		Applications/Engineering
License:	GPL 
URL:		http://www.geda.seul.org
Source:		ftp://ftp.geda.seul.org/pub/geda/devel/20060123/geda-symbols-20060123.tar.gz
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:	noarch


%description
This package contains a bunch of symbols of electronic devices
used by gschem, the gEDA project schematic editor.

%define gedadocdir %{_datadir}/gEDA/docs

%prep
%setup -q

%build
%configure --with-docdir=%{gedadocdir}

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_datadir}/gEDA/sym/vhdl/script.sed
rm $RPM_BUILD_ROOT%{_datadir}/gEDA/sym/vhdl/verilog2vhdl.sh
#rm $RPM_BUILD_ROOT%{_datadir}/gEDA/sym/micro/gschem.log.old

install -d $RPM_BUILD_ROOT%{gedadocdir}/man

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README 
%dir %{_datadir}/gEDA
%dir %{_datadir}/gEDA/sym
%dir %{_datadir}/gEDA/sym/4000
%dir %{_datadir}/gEDA/sym/74
%dir %{_datadir}/gEDA/sym/IEC417
%dir %{_datadir}/gEDA/sym/allegro
%dir %{_datadir}/gEDA/sym/altera
%dir %{_datadir}/gEDA/sym/amphenol
%dir %{_datadir}/gEDA/sym/analog
%dir %{_datadir}/gEDA/sym/apex
%dir %{_datadir}/gEDA/sym/asic
%dir %{_datadir}/gEDA/sym/asicpads
%dir %{_datadir}/gEDA/sym/bus
%dir %{_datadir}/gEDA/sym/cascade
%dir %{_datadir}/gEDA/sym/connector
%dir %{_datadir}/gEDA/sym/dec
%dir %{_datadir}/gEDA/sym/diode
%dir %{_datadir}/gEDA/sym/ecl
%dir %{_datadir}/gEDA/sym/font
%dir %{_datadir}/gEDA/sym/gnetman
%dir %{_datadir}/gEDA/sym/idt
%dir %{_datadir}/gEDA/sym/io
%dir %{_datadir}/gEDA/sym/irf
%dir %{_datadir}/gEDA/sym/lattice
%dir %{_datadir}/gEDA/sym/linear
%dir %{_datadir}/gEDA/sym/local
%dir %{_datadir}/gEDA/sym/maxim
%dir %{_datadir}/gEDA/sym/memory
%dir %{_datadir}/gEDA/sym/micro
%dir %{_datadir}/gEDA/sym/minicircuits
%dir %{_datadir}/gEDA/sym/misc
%dir %{_datadir}/gEDA/sym/national
%dir %{_datadir}/gEDA/sym/opto
%dir %{_datadir}/gEDA/sym/philips
%dir %{_datadir}/gEDA/sym/pla
%dir %{_datadir}/gEDA/sym/power
%dir %{_datadir}/gEDA/sym/radio
%dir %{_datadir}/gEDA/sym/relay
%dir %{_datadir}/gEDA/sym/rf
%dir %{_datadir}/gEDA/sym/spice
%dir %{_datadir}/gEDA/sym/st
%dir %{_datadir}/gEDA/sym/supervisor
%dir %{_datadir}/gEDA/sym/switcap
%dir %{_datadir}/gEDA/sym/switch
%dir %{_datadir}/gEDA/sym/titleblock
%dir %{_datadir}/gEDA/sym/transistor
%dir %{_datadir}/gEDA/sym/tube
%dir %{_datadir}/gEDA/sym/verilog
%dir %{_datadir}/gEDA/sym/vhdl
%dir %{_datadir}/gEDA/sym/xilinx
%dir %{gedadocdir}
%dir %{gedadocdir}/man
%{_datadir}/gEDA/sym/4000/*.sym
%{_datadir}/gEDA/sym/74/*.sym
%{_datadir}/gEDA/sym/IEC417/*.sym
%{_datadir}/gEDA/sym/allegro/*.sym
%{_datadir}/gEDA/sym/altera/*.sym
%{_datadir}/gEDA/sym/amphenol/*.sym
%{_datadir}/gEDA/sym/analog/*.sym
%{_datadir}/gEDA/sym/apex/*.sym
%{_datadir}/gEDA/sym/asic/*.sym
%{_datadir}/gEDA/sym/asicpads/*.sym
%{_datadir}/gEDA/sym/bus/*.sym
%{_datadir}/gEDA/sym/cascade/*.sym
%{_datadir}/gEDA/sym/connector/*.sym
%{_datadir}/gEDA/sym/dec/*.sym
%{_datadir}/gEDA/sym/diode/*.sym
%{_datadir}/gEDA/sym/ecl/*.sym
%{_datadir}/gEDA/sym/font/*.sym
%{_datadir}/gEDA/sym/gnetman/*.sym
%{_datadir}/gEDA/sym/idt/*.sym
%{_datadir}/gEDA/sym/io/*.sym
%{_datadir}/gEDA/sym/irf/*.sym
%{_datadir}/gEDA/sym/lattice/*.sym
%{_datadir}/gEDA/sym/linear/*.sym
%{_datadir}/gEDA/sym/maxim/*.sym
%{_datadir}/gEDA/sym/memory/*.sym
%{_datadir}/gEDA/sym/micro/*.sym
%{_datadir}/gEDA/sym/minicircuits/*.sym
%{_datadir}/gEDA/sym/misc/*.sym
%{_datadir}/gEDA/sym/national/*.sym
%{_datadir}/gEDA/sym/opto/*.sym
%{_datadir}/gEDA/sym/philips/*.sym
%{_datadir}/gEDA/sym/pla/*.sym
%{_datadir}/gEDA/sym/power/*.sym
%{_datadir}/gEDA/sym/radio/*.sym
%{_datadir}/gEDA/sym/relay/*.sym
%{_datadir}/gEDA/sym/rf/*.sym
%{_datadir}/gEDA/sym/spice/*.sym
%{_datadir}/gEDA/sym/st/*.sym
%{_datadir}/gEDA/sym/supervisor/*.sym
%{_datadir}/gEDA/sym/switcap/*.sym
%{_datadir}/gEDA/sym/switch/*.sym
%{_datadir}/gEDA/sym/titleblock/*.sym
%{_datadir}/gEDA/sym/transistor/*.sym
%{_datadir}/gEDA/sym/tube/*.sym
%{_datadir}/gEDA/sym/verilog/*.sym
%{_datadir}/gEDA/sym/vhdl/*.sym
%{_datadir}/gEDA/sym/xilinx/*.sym
%{gedadocdir}/nc.pdf
%{_datadir}/gEDA/system-gafrc     


%changelog
* Sat Mar 25 2006 joe_morris@ntm.org
- build on SuSE x86_64

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9
- doc directory now geda-docs-%{version}
- switcap irectory added

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- doc directory moved

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, built on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- added 'bus', 'diode', 'ecl', 'opto', 'power', 'relay',
  'transistor', 'vhdl' and 'winfonts' categories
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'national' and 'supervisor' categories
- updated to version 20000704

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
